NotConvergedException.Reason

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## no.uib.cipr.matrix
Enum NotConvergedException.Reason

    java.lang.Object
      java.lang.Enum<NotConvergedException.Reason>
          no.uib.cipr.matrix.NotConvergedException.Reason

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<NotConvergedException.Reason>

Enclosing class:
  NotConvergedException

    public static enum NotConvergedException.Reason

extends java.lang.Enum<NotConvergedException.Reason>

Possible reasons for lack of convergence

Enum Constant Summary
`Breakdown` The iterative process detected a breakdown
`Divergence` Divergence detected
`Iterations` Did not converge after a maximum number of iterations

Method Summary
`static NotConvergedException.Reason` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static NotConvergedException.Reason[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Iterations

    public static final NotConvergedException.Reason Iterations

  Did not converge after a maximum number of iterations

### Divergence

    public static final NotConvergedException.Reason Divergence

  Divergence detected

### Breakdown

    public static final NotConvergedException.Reason Breakdown

  The iterative process detected a breakdown

Method Detail

### values

    public static final NotConvergedException.Reason[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(NotConvergedException.Reason c : NotConvergedException.Reason.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static NotConvergedException.Reason valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD